Private Store workflow
Understand the Private Store workflow.
How to associate a customer with a private store
Step 1. Search for a private store
curl --location -g --request GET ' https://api.digitalriver.com/v1/shoppers/me/purchase-plan/search? emailDomain=university.edu&apiKey=apiKey' \--header 'Authorization: bearer {{access_token}}' \
...{
"purchaseplans": {
"purchaseplan": {
"id": "11858700",
"isauthenticationrequiredtobrowse": "true",
"purchaseplanname": "Student Discounts",
"branddisplayname": "",
"brandlogoimage": "",
"targetmarketid": "35100",
"targetmarketname": "Students"
},
"totalresults": "1"
}
}
{
"purchaseplans": {
"purchaseplan": {
"id": "11858700",
"isauthenticationrequiredtobrowse": "true",
"purchaseplanname": "Student Discounts",
"branddisplayname": "",
"brandlogoimage": "",
"targetmarketid": "35100",
"targetmarketname": "Students"
},
"totalresults": "1"
}
}Step 2. Get an access token
Step 3. Authorize a customer into the private store
Last updated